Bug 59898 - Xamarin.Forms.Color.Gray is darker than Xamarin.Forms.Color.DarkGray
Summary: Xamarin.Forms.Color.Gray is darker than Xamarin.Forms.Color.DarkGray
Status: RESOLVED ANSWERED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.4.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-10-02 15:11 UTC by anton.duzenko@gmail.com
Modified: 2017-11-20 13:25 UTC (History)
3 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description anton.duzenko@gmail.com 2017-10-02 15:11:33 UTC
It should be the other way around.
Comment 1 adrianknight89 2017-11-20 00:00:52 UTC
This is actually not an issue on the XF side. This "anomaly" is present on other frameworks and dates back to the X Windows System. The naming conventions used are not derivative of HTML.

https://stackoverflow.com/questions/3811973/why-is-darkgray-lighter-than-gray

https://blogs.msdn.microsoft.com/tims/2006/06/02/which-colour-is-darker-in-wpf-gray-or-darkgray/
Comment 2 Paul DiPietro [MSFT] 2017-11-20 13:25:21 UTC
Closing per the above info